<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbRecordIdTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_record_id', function(Blueprint $table)
		{
			$table->integer('site_id')->default(0)->index();
			$table->integer('module_id')->default(0);
			$table->integer('id')->default(0);
			$table->primary(['site_id','module_id']);
			$table->index(['module_id','site_id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_record_id');
	}

}
